$(document).ready(function() {

  $(".dropdown span a").click(function() {
    $(".dropdown ul").toggle();
  });
    
  $(".dropdown ul li a").click(function() {
    $(".dropdown ul").hide();
  });

  $(document).bind('click', function(e) {
    var $clicked = $(e.target);
    if (! $clicked.parents().hasClass("dropdown"))
      $(".dropdown ul").hide();
  });

});